function results = PGD_sur(n,mu,sigma,rho,W,type)
%% PURPOSE:
% Genera datos con estructura SUR
% n = numero de observaciones
% mu = vector de medias
% sigma = matriz de covarianzas de los errores
% rho = dependencia espacial
% type = tipo de dependencia espacial 1=sustantiva; 2=err; 3=SARAR
% W = Matriz de contactos

T=4; % numero de periodos

k=1; %numero de variables en cada periodo

x11=normrnd(0,1,n,1);
x21=normrnd(0,1,n,1);
x31=normrnd(0,1,n,1);
x41=normrnd(0,1,n,1);

X1=[ones(n,1) x11;zeros(3*n,k+1)];
X2=[zeros(n,k+1);ones(n,1) x21;zeros(2*n,k+1)];
X3=[zeros(2*n,k+1);ones(n,1) x31;zeros(n,k+1)];
X4=[zeros(3*n,k+1);ones(n,1) x41];

X=[X1 X2 X3 X4];
r1=sqrt(0.9);
r2=sqrt(0.9);
r3=sqrt(0.9);
r4=sqrt(0.9);

b10=2;
b11=r1/sqrt(1-r1^2);
b20=2;
b21=r2/sqrt(1-r2^2);
b30=2;
b31=r2/sqrt(1-r3^2);
b40=2;
b41=r2/sqrt(1-r4^2);

B=[b10 b11 b20 b21 b30 b31 b40 b41]';

e = mvnrnd(mu,sigma,n);
corrcoef(e);
u=reshape(e,n*T,1);
% u=[e(:,1); e(:,2)]; 
v=reshape(X*B+u,n,T);
corrcoef(v);
A=eye(n*T,n*T)-kron(diag(rho),W);
if type==1
% Generar modelo con dep espacial sustantiva
y=inv(A)*(X*B+u);
elseif type==2
% Generar modelo con dep espacial en el t?rmino de error
y=X*B+inv(A)*u;
elseif type==3;
% Generar modelo con dep espacial SARMA
y=inv(A)*(X*B+inv(A)*u);
end
yr=reshape(y,n,T);
% y1=y(1:n);
% y2=y(n+1:T*n);
for i=1:T
    yy(i).eq=yr(:,i);
end
xx(1).eq=[ones(n,1) x11];
xx(2).eq=[ones(n,1) x21];
xx(3).eq=[ones(n,1) x31];
xx(4).eq=[ones(n,1) x41];

results.y=yy;
results.x=xx;