%% Example to use tests and estimation codes of a model type SUR

% Ref: Mur J, Lpez FA and M Herrera (2010) Testing for spatial effect in 
% Seemingly Unrelated Regressions. Spatial Economic Analysis 5(4) 399-440


% This case DGP is only for T=4 (is easy extend)

% Data Generator Process
R=100;% sample size
T=4;% number of cross-section
rho=0.5;% spatial dependence level
W=normw(wt(R^.5));

% type of spatial dependence 1=lag; 2=err; 3=SARAR
type=2; % Selecc type of model
Data=PGD_sur(R,zeros(T,1),eye(T,T),rho*[1 1 1 1],W,type);

% Diagnogtic Test
info.print='yes';
sur_spdiag(Data.y,Data.x,W,info);

% Estimation model lag
disp('Estimation model lag type')
sur_lag0(Data.y,Data.x,W);

% Estimation model err
disp('Estimation model err type')
sur_err0(Data.y,Data.x,W);